const { Menu, BrowserWindow, dialog } = require('electron');
const path = require('path'); 

const createMenu = () => {
    const template = [
        {
            label: '游戏',
            submenu: [
                {
                    label: '退出游戏',
                    role: 'quit'
                },
                {
                    label: '关于',
                    click: () => {
                        const focusedWindow = BrowserWindow.getFocusedWindow();
                        dialog.showMessageBox(focusedWindow, {
                            type: 'info',
                            title: '关于',
                            message: '应用名称 v1.0.0',
                            detail: '© 2024 你的公司名称. 保留所有权利。',
                            icon: path.join(__dirname, 'assets', 'icon.png'),  // 设置图标
                            buttons: ['确定']
                        });
                    }
                }
            ]
        },
        { type: 'separator' },
        {
            label: '窗口',
            submenu: [
                {
                    label: '切换到全屏模式',
                    visible: !global.isFullScreen,
                    click: () => {
                        const focuseWindow = BrowserWindow.getFocusedWindow();
                        if (focuseWindow) {
                            focuseWindow.setFullScreen(true);
                        }
                    }
                },
                {
                    label: '切换到窗口模式',
                    visible: global.isFullScreen,
                    click: () => {
                        const focuseWindow = BrowserWindow.getFocusedWindow();
                        if (focuseWindow) {
                            focuseWindow.setFullScreen(false);
                        }
                    }
                }
            ]
        }
    ]

    return Menu.buildFromTemplate(template);
};

const updateMenu = () => {
    // 动态刷新菜单
    const menu = createMenu();
    Menu.setApplicationMenu(menu);
};

module.exports = {
    createMenu,
    updateMenu,
};